Bug 80069 - fix negative flexing in auto sized columns
Summary: fix negative flexing in auto sized columns
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Tony Chang
URL:
Keywords:
Depends on:
Blocks: 62048
  Show dependency treegraph
 
Reported: 2012-03-01 16:46 PST by Tony Chang
Modified: 2012-03-14 15:56 PDT (History)
2 users (show)

See Also:


Attachments
Patch (9.62 KB, patch)
2012-03-01 16:51 PST, Tony Chang
no flags Details | Formatted Diff | Diff
Patch (9.67 KB, patch)
2012-03-01 17:16 PST, Tony Chang
no flags Details | Formatted Diff | Diff
Patch (9.86 KB, patch)
2012-03-07 10:37 PST, Tony Chang
no flags Details | Formatted Diff | Diff
Patch (9.79 KB, patch)
2012-03-14 14:25 PDT, Tony Chang
ojan: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Chang 2012-03-01 16:46:36 PST
fix negative flexing in auto sized columns
Comment 1 Tony Chang 2012-03-01 16:51:08 PST
Created attachment 129772 [details]
Patch
Comment 2 Tony Chang 2012-03-01 16:51:57 PST
I don't love the name resolveLogicalHeightUsing because it's very similar to computeLogicalHeightUsing.  Suggestions welcome.
Comment 3 Ojan Vafai 2012-03-01 17:12:36 PST
Comment on attachment 129772 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=129772&action=review

So much copy paste from RenderBox. :( I don't see a better way though.

> Source/WebCore/rendering/RenderFlexibleBox.cpp:503
> +LayoutUnit RenderFlexibleBox::resolveLogicalHeightUsing(const Length& height)

computeContentLogicalHeightUsing?
Comment 4 Tony Chang 2012-03-01 17:16:54 PST
Created attachment 129779 [details]
Patch
Comment 5 Tony Chang 2012-03-07 10:37:40 PST
Created attachment 130646 [details]
Patch
Comment 6 Tony Chang 2012-03-07 10:37:51 PST
(In reply to comment #5)
> Created an attachment (id=130646) [details]
> Patch

rebasing
Comment 7 Tony Chang 2012-03-14 14:25:34 PDT
Created attachment 131922 [details]
Patch
Comment 8 Tony Chang 2012-03-14 14:29:50 PDT
Comment on attachment 131922 [details]
Patch

Ojan, can you take another look?  Now it's just a small amount of code modified from computeLogicalHeight (computeContentLogicalHeightUsing is now in RenderBox), but it's different enough that I don't think there's a good way to refactor to share code.
Comment 9 Tony Chang 2012-03-14 15:56:45 PDT
Committed r110772: <http://trac.webkit.org/changeset/110772>